Package org.apache.wiki.workflow

# Class SystemPrincipal

java.lang.Object
org.apache.wiki.workflow.SystemPrincipal

All Implemented Interfaces:
  `Principal`

public final class SystemPrincipal extends Object implements Principal
System users associated with workflow Task steps.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Principal`
`SYSTEM_USER`
The JSPWiki system user

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

## Field Details

### SYSTEM_USER

public static final Principal SYSTEM_USER
The JSPWiki system user

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Principal`